package com.bonus.canteen.core.pay.api.dto;

public class UnifyPaySelectDTO {
   private Long tradeId;
   private Long orderRechargeId;
   private boolean sendNoticeMQ = false;
   private boolean fromAutoQuery = false;

   public Long getTradeId() {
      return this.tradeId;
   }

   public Long getOrderRechargeId() {
      return this.orderRechargeId;
   }

   public boolean isSendNoticeMQ() {
      return this.sendNoticeMQ;
   }

   public boolean isFromAutoQuery() {
      return this.fromAutoQuery;
   }

   public UnifyPaySelectDTO setTradeId(final Long tradeId) {
      this.tradeId = tradeId;
      return this;
   }

   public UnifyPaySelectDTO setOrderRechargeId(final Long orderRechargeId) {
      this.orderRechargeId = orderRechargeId;
      return this;
   }

   public UnifyPaySelectDTO setSendNoticeMQ(final boolean sendNoticeMQ) {
      this.sendNoticeMQ = sendNoticeMQ;
      return this;
   }

   public UnifyPaySelectDTO setFromAutoQuery(final boolean fromAutoQuery) {
      this.fromAutoQuery = fromAutoQuery;
      return this;
   }

}
